{
  "name": "projet-dblp",
  "version": "2.2.1",
  "description": "Projet cours XML M2 Informatique Artois",
  "homepage": "https://github.com/Loquicom/XML-DBPL",
  "author": {
    "name": "Arthur Brandao & Maxence Bacquet",
    "email": ""
  },
  "keywords": [
    "node",
    "nodejs",
    "xml",
    "dblb",
    "sax"
  ],
  "private": true,
  "main": "main.js",
  "scripts": {
    "start": "node main.js",
    "deploy": "node deploy.js -c",
    "preprocess": "node coauth.js prepare ./data/dblp.xml",
    "coauth": "node coauth.js --name \"Fabien Delorme\" -v",
    "extract": "node extract.js --name \"Fabien Delorme\" -v",
    "validate": "xmllint --noout --dtdvalid ./data/extract.dtd ./data/extract.xml",
    "xslt": "xsltproc -o extract.html convert.xsl ./data/extract.xml"
  },
  "engines": {
    "node": ">=10.12.0"
  },
  "dependencies": {
    "commander": "^3.0.2",
    "copy-dir": "^1.2.0",
    "del": "^5.1.0",
    "html-entities": "^1.2.1",
    "inquirer": "^7.0.0",
    "n-readlines": "^1.0.0",
    "saxophone": "^0.5.0",
    "zip-dir": "^1.0.2"
  }
}
